incubator-npanday-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Damian Pooley <Damian.Poo...@hyro.com>
Subject aspx compilation error: found different/older .NET framework version
Date Wed, 12 Oct 2011 05:44:57 GMT
Hi all,

I am getting an a build failure during the maven-aspx-plugin compile step, because it has
found an earlier version of the .NET framework (2) and not the one that the project is written
with (4). The maven-compile-plugin compile uses the correct (4) version of .NET.

I am using 1.4.0-incubating.

Maven-compile-plugin messages:
[INFO] NPANDAY-066-013: Found Vendor = Vendor = MICROSOFT, Vendor Version = 4.0, Framework
Version = 4.0, Executable Paths = [C:\Windows\Microsoft.NET\Framework64\v4.0.30319, C:\Program
Files (x86)\Microsoft SDKs\Windows\v7.0A\Bin\NETFX 4.0 Tools]
[INFO] NPANDAY-068-003: Compiling Artifact: Vendor = MICROSOFT, Language = MICROSOFT, Assembly
Name = <path.to>.dll
[INFO] NPANDAY-068-005: Found executable path for csc: C:\Windows\Microsoft.NET\Framework64\v4.0.30319

Maven-aspx-plugin messages:
[INFO] NPANDAY-066-013: Found Vendor = Vendor = MICROSOFT, Vendor Version = 2.0.50727, Framework
Version = 2.0.50727, Executable Paths = [C:\Windows\Microsoft.NET\Framework64\v2.0.50727,
C:\Program Files (x86)\Microsoft SDKs\Windows\v6.0A\bin]
[INFO] NPANDAY-068-003: Compiling Artifact: Vendor = MICROSOFT, Language = ASP, Assembly Name
= <path.to>.dll
[INFO] NPANDAY-068-005: Found executable path for aspnet_compiler: C:\Windows\Microsoft.NET\Framework64\v2.0.50727

Why would the .NET version detected be different? How can the aspx plugin be forced to use
the latest version?

Regards,

Damian Pooley

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message